Задача Е:
#include <iostream>

using namespace std;

int main()
{   
    int n,m;
    cin>>n>>m;
    int a[m];
        for(int i=0;i<m;i++){
            cin >> a[i];
        }
        for(int j=0;j<m;j++){
            int d=0,c=0, f;
            for(int l=0; l<m; l++) {
                if(a[j]==a[l] && j!=l){
                    d++;
                    f = a[j];
                    }
            }
            if(d<=1){
                cout << f << " ";
            }
            }
            
    return 0;
        }